const express = require("express");
const router = express.Router();
const apiLimiter = require("../utils/rateLimit");

const userController = require("../Controller/userController");

router.post("/login", apiLimiter(5, 5), userController.login);
router.post("/logout", apiLimiter(15, 100), userController.logout);
router.post("/isLoggedIn", apiLimiter(5, 200), userController.isLoggedIn);

// router.post("/register", userController.register);

module.exports = router;
